#ifndef ISECURITYPROPERTYCONFIGTAB_H
#define ISECURITYPROPERTYCONFIGTAB_H

#include <QString>
#include <QMap>
#include <QWidget>
#include <fly-admin-printer_export.h>

class FLY_ADMIN_PRINTER_EXPORT ISecurityPropertyConfigTab: public QWidget
{
    Q_OBJECT
public:
    explicit ISecurityPropertyConfigTab(QWidget *parent) : QWidget(parent) {}
    virtual QString name() const = 0;
    virtual void setProperty(const QString &key, const QString &value) = 0;
    virtual QMap<QString, QString> getProperties() const = 0;
};

#endif // ISECURITYPROPERTYCONFIGTAB_H
