#ifndef ISECURITYPROPERTYTAB_H
#define ISECURITYPROPERTYTAB_H

#include <QString>
#include <QWidget>
#include <fly-admin-printer_export.h>

class FLY_ADMIN_PRINTER_EXPORT ISecurityPropertyTab: public QWidget
{
    Q_OBJECT
public:
    explicit ISecurityPropertyTab(QWidget *parent) : QWidget(parent) {}

    virtual QString name() const = 0;
    virtual void setQueue(const QString &name, const QVariantMap &attrs) = 0;
};

#endif // ISECURITYPROPERTYTAB_H
